<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.0.xsd">
        
    <!-- NAVER OAuth Configuration -->
    <bean id="naverAuthVO" class="egovframework.com.ext.oauth.service.OAuthVO">
        <constructor-arg value="naver" /><!-- Service Name -->
        <constructor-arg value="jefkoYhSfrQ3TtZz5mTp" /><!-- naverClientID -->
        <constructor-arg value="E2qAGaLEaG" /><!-- naverClientSecret -->
        <constructor-arg value="https://nlib.nculture.org/nlib/{callType}/{oauthServiceName}/callback.do" /><!-- naverRedirectUrl : callType(login|member) -->
    </bean>
    
	<!-- GOOGLE OAuth Configuration -->
	<bean id="googleAuthVO" class="egovframework.com.ext.oauth.service.OAuthVO">
		<constructor-arg value="google" /><!-- Service Name -->
		<constructor-arg value="879126511006-jro7bld7b2epl3n5mkksp0p24k2inbpu.apps.googleusercontent.com" /><!-- googleClientID -->
		<constructor-arg value="F6T-ZV9jibLhKtcugxPUtBlN" /><!-- googleClientSecret -->
		<constructor-arg value="https://nlib.nculture.org/nlib/{callType}/{oauthServiceName}/callback.do" /><!-- googleRedirectUrl : callType(login|member) -->
	</bean>
	
	<!-- KAKAO OAuth Configuration -->
	<bean id="kakaoAuthVO" class="egovframework.com.ext.oauth.service.OAuthVO">
		<constructor-arg value="kakao" /><!-- Service Name -->
		<constructor-arg value="e74d25210853313dd1fead4c6c1f06ec" /><!-- kakaoClientID -->
		<constructor-arg value="AGxiWEwu2ytIifA1AY2PoqVSrdnRZiao" /><!-- kakaoClientSecret -->
		<constructor-arg value="https://nlib.nculture.org/nlib/{callType}/{oauthServiceName}/callback.do" /><!-- kakaoRedirectUrl : callType(login|member) -->
	</bean>
    
</beans>
